# $Revision: 1.10 $, $Date: 2011/08/31 18:31:57 $
Summary:	C source code analyzer
Summary(pl.UTF-8):	Analizator kodu źródłowego w C
Name:		ncc
Version:	2.8
Release:	2
License:	Artistic
Group:		Development/Languages
Source0:	http://students.ceid.upatras.gr/~sxanth/ncc/%{name}-%{version}.tar.gz
# Source0-md5:	0a6500c8c05a5344902246a95094e654
URL:		http://students.ceid.upatras.gr/~sxanth/ncc/index.html
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncc is a C source code analyzer which generates program flow and
variable usage information. Using it should be as easy as changing
CC=gcc to CC=ncc in makefiles, and effort has been made to support
most common gcc extensions. ncc has been tested with the sources of
the Linux kernel, gtk+, gcc, gdb, bind, mpg123, ncftp, and many other
famous projects.

%description -l pl.UTF-8
ncc to analizator kodu źródłowego w C generujący informacje o
przepływie sterowania i użyciu zmiennych. Wykorzystanie go powinno być
tak łatwe, jak zmiana CC=gcc na CC=ncc w plikach makefile, dołożono
też starań, aby obsłużyć większość popularnych rozszerzeń gcc. ncc był
testowany ze źródłami jądra Linuksa, pakietów gtk+, gcc, gdb, bind,
mpg123, ncftp i wielu innych znanych projektów.

%prep
%setup -q

%build
%{__make} objdir/ncc \
	CC="%{__cxx}" \
	LCFLAGS="%{rpmcflags} -fpermissive"

%{__make} -C nccnav \
	CC="%{__cxx} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_mandir}/man1}
install objdir/ncc $RPM_BUILD_ROOT%{_bindir}
install doc/nognu $RPM_BUILD_ROOT%{_includedir}
for nccs in ar c++ g++ ld; do
	ln -sf /usr/bin/ncc $RPM_BUILD_ROOT%{_bindir}/ncc$nccs
done
install nccnav/nccnav $RPM_BUILD_ROOT%{_bindir}
install scripts/gengraph.py $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_bindir}/nccnav $RPM_BUILD_ROOT%{_bindir}/nccnavi
install ncc.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/ncc*
%attr(755,root,root) %{_bindir}/gengraph.py
%{_includedir}/nognu
%{_mandir}/man1/ncc.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ncc.spec,v $
Revision 1.10  2011/08/31 18:31:57  arekm
- release 2

Revision 1.9  2009/01/15 09:47:42  duddits
- up to 2.8

Revision 1.8  2007/12/28 02:51:02  zbyniu
- up to 2.7

Revision 1.7  2007-08-16 20:27:01  maciek2w
- updated to 2.6

Revision 1.6  2007/03/20 10:04:09  undefine
- release 1

Revision 1.5  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/11/03 18:00:29  sparky
- quote %{__cc} / %{__cxx}

Revision 1.2  2006/06/03 22:02:06  qboosh
- pl, cosmetics

Revision 1.1  2006/05/29 00:59:53  zbyniu
- new, based on http://dag.wieers.com/packages/ncc/ncc.spec
